KWIN_MEM_WRITE_RGB(3)

EXPERIMENTAL_FUNC
kwin_mem_write_rgb - Refresh a pixel canvas into a memory buffer.

SYNOPSIS
#include <karma_kwin.h>

flag kwin_mem_write_rgb

(KPixCanvas canvas, void *red, void *green, void *blue, uaddr stride, unsigned int width, unsigned int height)

DESCRIPTION
This routine will refresh a pixel canvas, redirecting output to a memory buffer.

canvas
    The pixel canvas.

red The red buffer pointer.

green
    The green buffer pointer.

blue
    The blue buffer pointer.

stride
    The stride in bytes between adjacent pixels.

width
    The width of the memory buffer in pixels.

height
    The height of the memory buffer in pixels.

RETURN VALUE
TRUE on success, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/